
/*
 * The Verus Model Checking System
 * Copyright (c) 1997 Carnegie Mellon University
 * All Rights Reserved. See file license.txt for details.
 *
 *
 * Error control for Verus
 *
 * Sergio Campos -- 1997
 */

#include<stdio.h>
#include<error.h>
#include<stdarg.h>

extern int srcline;

#define print_error_message \
  printf("\n\nVerus error at line %d: ", srcline);  \
  vprintf(fmt, args);  \
  printf("\n\n");


void error(char *fmt, ...)
{
  va_list args;

  va_start(args, fmt);
  print_error_message;
  va_end(args);
};

void fatal_error(char *fmt, ...)
{
  va_list args;

  va_start(args, fmt);
  print_error_message;
  va_end(args);

  printf("*** Execution Aborted! *** \n\n");
  exit(1);
};
