
/*
 * The Verus Model Checking System
 * Copyright (c) 1997 Carnegie Mellon University
 * All Rights Reserved. See file license.txt for details.
 *
 *
 * Integer conversions header file
 *
 * Sergio Campos -- 1997
 */

#ifndef INTEGER_H
#define INTEGER_H

#include<bdd.h>
#include<error.h>

/*
 * An integer variable is an array of bdds, where each element
 * is one bit of the final value.
 */
typedef bdd *intvar;

#define DEFAULT_INT_SIZE 8

void new_int_var();

bdd int_to_bdd();
int bdd_to_int();

intvar vadd();
intvar vneg();
bdd veq();
bdd vneq();
bdd vless();
bdd vleq();
bdd vgreater();
bdd vgeq();

intvar const_to_intvar();

intvar v_incref_int();
void v_free_int();

void v_print_intvar();

#endif
