
/*
 * The Verus Model Checking System
 * Copyright (c) 1997 Carnegie Mellon University
 * All Rights Reserved. See file license.txt for details.
 *
 *
 * Model checker header file.
 *
 * Sergio Campos -- 1997
 */

#ifndef MODCHECK_H
#define MODCHECK_H

#include <error.h>


extern bdd TR;          /* Transition relation.     */
extern bdd Init;        /* Set of initial states    */
extern bdd Reachable;   /* Set of reachable states. */

extern double statespace;


int init_modcheck();

double count_bdd();

typedbdd_ptr  ex();
typedbdd_ptr  ax();
typedbdd_ptr  ef();
typedbdd_ptr  af();
typedbdd_ptr  eg();
typedbdd_ptr  ag();
typedbdd_ptr  eu();
typedbdd_ptr  au();
int           minimum();
int           maximum();
int           mincount();
int           maxcount();

#endif MODCHECK_H
